Subject: [PATCH v2 0/2] pci: xgene: Add multiple memory ranges support

From: [email-masked] (Duc Dang)
Date: Tue, 30 Jun 2015 11:22:26 -0700

This patch set adds 1 large (up to 64GB) memory window for each PCIe
controller nodes in X-Gene device tree and fix PCIe controller driver
to handle multiple memory ranges correctly. These changes are required
to support PCIe devices that has huge BAR.

v2 changes:
	1. Separate device-tree changes and driver changes into different
	patches
	2. Explicitly define new large window as 64-bit prefetchable in dts
	3. Use IORESOURCE_PREFETCH flag to determine which PCIe controller
	register to be used to configure the memory ranges.
 
 arch/arm64/boot/dts/apm/apm-storm.dtsi | 23 ++++++++++++++---------
 drivers/pci/host/pci-xgene.c           | 12 ++++++++++--
 2 files changed, 24 insertions(+), 11 deletions(-)

-- 
1.9.1